<?php
require_once "libs/paloSantoForm.class.php";

function _moduleContent(&$smarty, $module_name)
{
    //include module files
    require_once "modules/$module_name/configs/default.conf.php";
    
	load_language_module($module_name);

    //global variables
    global $arrConf;
    global $arrConfModule;
    $arrConf = array_merge($arrConf,$arrConfModule);

    //folder path for custom templates
    $base_dir = dirname($_SERVER['SCRIPT_FILENAME']);
    $templates_dir = (isset($arrConf['templates_dir'])) ? $arrConf['templates_dir'] : 'themes';
    $local_templates_dir = "$base_dir/modules/$module_name/".$templates_dir.'/'.$arrConf['theme'];

	$smarty->assign('mb_message', ""."-- If You are going to Use Lite Edition, Leave The License Box Empty. ".""."&nbsp;<a href='http://www.smartfink.com' target='_blank'> "."What is Pro Version?"."</a> <br>-- To Clear License That You Entered Before, Just Type \"empty\" Word and then Submit.");

    $txtCommand = isset($_POST['txtCommand'])? trim($_POST['txtCommand']) : '';
	//$txtCommand = $permision;
	
    $oForm = new paloForm($smarty, array());
    $smarty->assign(array(
        'asterisk'  =>  _tr('Asterisk CLI'),
        'command'   =>  _tr('Command'),
        'txtCommand'=>  htmlspecialchars($txtCommand),
        'execute'   =>  _tr('Execute'),
        'icon'      =>  "modules/$module_name/images/pbx_tools_asterisk_cli.png",
    ));

    $result = "";
    if (!empty($txtCommand)) {
	
		if($txtCommand == 'empty' || $txtCommand == '"empty"' || $txtCommand == 'Empty'){
			$st = "asterisk -rx \"database deltree smartfink license/license \" 2>&1";
			$txtCommand = "";
			shell_exec($st);
				}
		else{
	
				if( strlen(trim($txtCommand)) < 20 ) {
						$txtCommand = "The License is Not Valid.";
					}

				else if( strlen(trim($txtCommand)) > 1000 ) {
						$txtCommand = "The License is Not Valid.";
					}
				elseif( preg_match('/[^A-Za-z0-9#*\\-]/', $txtCommand) ) {
						$txtCommand = "The License is Not Valid.";
					}
				elseif (strpos($a,'script') !== false) {
						$txtCommand = "The License is Not Valid.";
						}
				else{
					$output = $retval = NULL;
					//exec("/usr/sbin/asterisk -rnx ".escapeshellarg($txtCommand), $output, $retval);
					//$result = '<pre>'.implode("\n", array_map('htmlspecialchars', $output)).'</pre>';
					$st = "asterisk -rx \"database put smartfink license/license $txtCommand\" 2>&1";
					shell_exec($st);
					//setSmartfinkPermisions($txtCommand);
					}
			
			
			}
			
			
    }else{
	
	
		//GET License
		$results = shell_exec('asterisk -rx "database show smartfink/license" 2>&1');
		$results = explode("\n", $results);
		$tmpResults = array();
	
				if($results[0] != ""){
						$tmpResults = explode("/", $results[0]);
							if(isset($tmpResults[3]))
							$permision = explode(":", $tmpResults[3]);
							if(isset($permision[1]))
							$permision = trim($permision[1]);
			}
		$txtCommand = $permision;
	
	}
    if ($result == "") $result = "&nbsp;";
    $smarty->assign("RESPUESTA_SHELL", $txtCommand);

    return $oForm->fetchForm("$local_templates_dir/new.tpl", _tr('Asterisk-Cli'), $_POST);
	
		
	
}
?>